Bug 431452 - Wrong init script
Wrong init script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 11:15 EST by Martin Nagy
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 11:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-02-04 11:15:38 EST
+++ This bug was initially created as a clone of Bug #431450 +++

Description of problem:
In several occasions, the script may end with return code 0 even when the
service does not start correctly. For example

[ -x /usr/sbin/vsftpd ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. change access rights such that /usr/sbin/vsftpd is not executable
2. service vsftpd start
3. echo $?
  
Actual results:
0

Expected results:
Non-zero exit code with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd
Comment 1 Martin Nagy 2008-02-25 11:55:34 EST
Fixed in vsftpd-2.0.6-2.fc9

Note You need to log in before you can comment on or make changes to this bug.